| ISF 1.1 Intelligent Sensing Framework

- Main Page
- Data Structures
- Files
- Sensor Adapters

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines
Data Structures | Defines | Typedefs | Enumerations | Functions
Include/isf.h File Reference

Main ISF header file. Contains code common to all ISF components. More...

`#include "mqx.h"`
`#include "bsp.h"`
`#include "psptypes.h"`
`#include "isf_types.h"`

Go to the source code of this file.

## Data Structures
struct | isf_lib_info_t
| This structure holds the ISF library information such as version and part number. More...
struct | device_info_t
| This structure holds the ROM device information such as version and part number and is returned by the _fw_device_info_get() command. More...
## Defines
#define | MAX_ISF_APPLICATIONS (32)
| Maximum number of applications.
#define | APP_ID_NULL (0)
| Null application ID.
#define | USER_APP_ID_START (ISF_APP_ID_LAST)
#define | ISF_TASK_INDEX_START (50)
| ISF starting task index.
## Typedefs
typedef int32 | isf_status_t
| ISF return status type.
typedef uint32 | isf_duration_t
| ISF time duration in microseconds.
## Enumerations
enum | isf_status_enum { ISF_SUCCESS = 0, ISF_ERR_LIB_INIT = 1 }
| ISF library return status type. More...
enum | isf_app_id_enum { ISF_APP_ID_DEV_INFO = 0, ISF_APP_ID_MBOX = 1, ISF_APP_ID_LAST }
| ISF application number. More...
## Functions
isf_lib_info_t * | isf_lib_get_info (void)
| API ISF library get information.
isf_status_t | isf_lib_init (void *pNull)
| API ISF library get information.
void | _fw_device_info_get (device_info_t *info_ptr)

## Detailed Description

Main ISF header file. Contains code common to all ISF components.

Definition in file isf.h.

## Define Documentation

#define APP_ID_NULL (0)

Null application ID.

Value for null application ID.

Definition at line 91 of file isf.h.

#define ISF_TASK_INDEX_START (50)

ISF starting task index.

This define specifies the starting task index of ISF
tasks. The user should use task index that are LOWER than
the value stated here.

Definition at line 219 of file isf.h.

#define MAX_ISF_APPLICATIONS (32)

Maximum number of applications.

The maximum number of applications that can exists. Note
that the application id can be anywhere between APP_ID_NULL and
NO_APP_FBID_INDX, but the maximum number of those applications
is limited to the value set here.

Definition at line 83 of file isf.h.

#define USER_APP_ID_START (ISF_APP_ID_LAST)

Definition at line 206 of file isf.h.

## Typedef Documentation

isf_duration_t

ISF time duration in microseconds.

Definition at line 72 of file isf.h.

isf_status_t

ISF return status type.

ISF general success status for API functions.
Any value not equal to ISF_SUCCESS is considered a
failure and the error is application specific. See
application API documentation for specific error
definitions.

Definition at line 64 of file isf.h.

## Enumeration Type Documentation

enum isf_app_id_enum

ISF application number.

Enumerator:

  ISF_APP_ID_DEV_INFO |
  ISF_APP_ID_MBOX |
  ISF_APP_ID_LAST |

Definition at line 200 of file isf.h.

enum isf_status_enum

ISF library return status type.

Enumerator:

  ISF_SUCCESS | General ISF success status
  ISF_ERR_LIB_INIT | General library initialization failure status.

Definition at line 42 of file isf.h.

## Function Documentation

void _fw_device_info_get | ( | device_info_t * | info_ptr | ) |

isf_lib_info_t* isf_lib_get_info | ( | void |  | ) |

API ISF library get information.

The isf_lib_get_info() function is called by an application that needs
retrieve library version and part number that the library is targeted for.

Returns:
  Pointer to isf_lib_info_t structure containing the
  library information.

Errors:

Constraints:

Reentrant: No

Link Libraries:
  isf_core.lib

See also:

isf_status_t isf_lib_init | ( | void * | pOptions | ) |

API ISF library get information.

The isf_lib_get_info() function is called by an application that needs
retrieve library version and part number that the library is targeted for.

Returns:
  ISF_SUCCESS if initialization was successful.
  ISF_ERR_LIB_INIT if tasks were not created properly.

Errors:

Constraints:

Reentrant: No

Link Libraries:

See also:

Definition at line 18 of file isf_init.c.

Referenced by isf_init_task().